org.apache.cassandra.service

## Class FileCacheService

- java.lang.Object
- - org.apache.cassandra.service.FileCacheService

-     public class FileCacheService
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileCacheService.CacheKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FileCacheService` | `instance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileCacheService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RandomAccessReader` | `get(FileCacheService.CacheKey key)`
    `void` | `invalidate(FileCacheService.CacheKey cacheKey, java.lang.String path)`
    `void` | `put(FileCacheService.CacheKey cacheKey, RandomAccessReader instance)`
    `long` | `sizeInBytes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static FileCacheService instance

  - ### Constructor Detail

    - #### FileCacheService

          protected FileCacheService()

  - ### Method Detail

    - #### get

          public RandomAccessReader get(FileCacheService.CacheKey key)

    - #### put

          public void put(FileCacheService.CacheKey cacheKey,
                          RandomAccessReader instance)

    - #### invalidate

          public void invalidate(FileCacheService.CacheKey cacheKey,
                                 java.lang.String path)

    - #### sizeInBytes

          public long sizeInBytes()

Copyright © 2018 The Apache Software Foundation